Skip to main content
GET
/
instances
List instances
curl --request GET \
  --url https://runcrate.ai/api/v1/instances \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "gpu_type": "<string>",
      "gpu_count": 123,
      "cpu_cores": 123,
      "memory": 123,
      "storage": 123,
      "region": "<string>",
      "ip": "<string>",
      "os_image": "<string>",
      "cost_per_hour": 123,
      "deployed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "cursor": "<string>",
    "hasMore": true,
    "total": 123,
    "requestId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Query Parameters

Response

Instance list.

data
object[]
required
meta
object

Pagination metadata on list responses.